Bug 485692 - Clicking and scrolling not working
Clicking and scrolling not working
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-16 06:49 EST by Michael Monreal
Modified: 2013-04-02 00:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 07:17:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Monreal 2009-02-16 06:49:20 EST
On F11Alpha/Rawhide, I cannot click/double-click or scroll with my synaptics touch pad. With xorg.conf gone, I don't see a way to add the needed settings :/
Comment 1 Panu Matilainen 2009-02-16 07:06:25 EST
synaptic != synaptics, reassigning...
Comment 2 Gideon Mayhak 2009-02-18 21:54:15 EST
I have this same problem with a fully-updated install of rawhide.  Touchpad worked fine in previous Fedora releases.  I currently have no xorg.conf file.  Please let me know what information would be helpful to get things working properly.  I'm going crazy without my scrolling and tap-to-click!
Comment 3 Leo 2009-04-01 08:52:38 EDT
same here, in a Dell inspiron 1525, it works out of the box in the previous releases
Comment 4 Michael Monreal 2009-04-16 03:27:54 EDT
Will this be fixed for F11? I consider this a major flaw because it makes my laptop unusable without a mouse (I never realized how much I rely on the scroll feature).

If this will not be fixed in time for F11, please add some official note about this (and how to workaround with xorg.conf) to the release notes.
Comment 5 Gideon Mayhak 2009-04-22 22:41:45 EDT
I've been running rawhide for a while and can chime back in that my touchpad is working great!  It's now properly configurable from System-->Preferences-->Mouse on the Touchpad tab.  I'll let the creator of this bug decide whether or not it's working to their satisfaction or with their particular system, but I'm going to remove myself as a contributor :-).
Comment 6 Michael Monreal 2009-04-23 04:13:29 EDT
Wow - thanks a lot Gideon, it works great now :)

Two things I wonder:

a) does this work out of the box now for new installations?
b) if not, is there a plan to do this?

IIRC the touchpad has worked out of the box in previous releases, to it's at least strange that you have to flick some switches now. Again, at least a mention in the release notes would be great.
Comment 7 Zach Oglesby 2009-04-23 21:41:21 EDT
I have everything enabled for touchpad scrolling but it will not work on my Dell Inspiron 1420. The click works but not the scroll.
Comment 8 Leo 2009-04-25 17:27:57 EDT
with the activated options on the gnome mouse preferences tapping works, except all the types of scroll... and where's the touchpad options on kde??? it's a shame that in the previous versions of fedora it works out of the box...
Comment 9 Sergio Monteiro Basto 2009-05-11 08:58:45 EDT
touchpad (synaptic), tap and scroll works on console but stops on kdm.
has workaround, I type :

synclient TapButton1=1
synclient TapButton2=1
synclient TapButton3=1
synclient VertEdgeScroll=1

and I got my synaptic working as usual again , but still a bug when kdm start which reset all synaptic configuration !
Comment 10 Zach Oglesby 2009-06-05 19:12:17 EDT
I fixed this on my machine by adding my old synaptics.fdi file, forgot to report that.
Comment 11 Sergio Monteiro Basto 2009-06-08 01:09:05 EDT
I have to add this : 
  <merge key="input.x11_options.TapButton1" type="string">1</merge>
  <merge key="input.x11_options.TapButton2" type="string">3</merge>
  <merge key="input.x11_options.TapButton3" type="string">2</merge>
  <merge key="input.x11_options.VertEdgeScroll" type="string">1</merge>

to /usr/share/hal/fdi/policy/20thirdparty/10-synaptics.fdi 
and copy to /etc/hal/fdi/policy/10-synaptics.fdi
Comment 12 Bug Zapper 2009-06-09 07:25:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 13 Chris Nutt 2009-06-13 10:38:32 EDT
In fedora 11 on KDE4, I have Gsynaptics that is now enabled (had to manually
"yum" it!), i can get the tapping (which i want to use) activated so that it
works perfectly, however when i log out and in / restart the workstation the
settings resort back to default. Also it is not included in the KDE4 menu so i
have to run it manually.
Comment 14 Matthew 2009-07-28 18:34:25 EDT
I have this same problem in KDE 4. Gnome settings shows the touchpad section to enable tapping and vertical/horizontal scrolling, but the kde settings dialog for mouse does not show it. Not sure what app needs the feature/bug request filed, but the kde settings app needs to have the same support as the gnome one.

Below is a clarification on what sergio was talking about in comment #11.

I would also recommend that the 10-synaptics.fdi file somehow be installed by default with Fedora 12, as vertical scroll should be default behaviour on Linux like it is for Windows/Mac (even if tapping shouldn't be, which I don't really care either way).
Comment 16 Bug Zapper 2010-04-27 08:58:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 17 Bug Zapper 2010-06-28 07:17:26 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.